#!/bin/bash

rrdtool graph pillefyr1.png --title 'Pillefyr sidste døgn' -h200 -w600 \
               DEF:ydelse=pillefyr.rrd:ydelse:AVERAGE \
               DEF:kedeltemp=pillefyr.rrd:kedel_temp:AVERAGE \
               CDEF:realkedeltemp=kedeltemp,10,/ \
               LINE2:ydelse#00FF00:"Ydelse" \
               LINE2:realkedeltemp#0000FF:"Kedel temperatur"

rrdtool graph pillefyr2.png --title 'Pillefyr sidste 14 dage' -h200 -w600 --start end-14d \
               DEF:ydelse=pillefyr.rrd:ydelse:AVERAGE \
               DEF:kedeltemp=pillefyr.rrd:kedel_temp:AVERAGE \
               CDEF:realkedeltemp=kedeltemp,10,/ \
               LINE2:ydelse#00FF00:"Ydelse" \
               LINE2:realkedeltemp#0000FF:"Kedel temperatur"

rrdtool graph pillefyr3.png --title 'Pillefyr sidste år' -h200 -w600 --start end-365d \
               DEF:ydelse=pillefyr.rrd:ydelse:AVERAGE \
               DEF:kedeltemp=pillefyr.rrd:kedel_temp:AVERAGE \
               CDEF:realkedeltemp=kedeltemp,10,/ \
               LINE2:ydelse#00FF00:"Ydelse" \
               LINE2:realkedeltemp#0000FF:"Kedel temperatur"

