#!/bin/bash

# import a stokerlogfile to a rrdtool database
# usage example: #./rrdtool < stokerlog.txt

# Set the field seperator to a newline
IFS="
"

while read line  # For as many lines as the input file has...
do
  len=${#line}
  #echo $len
  if [[ "$len" -gt "30" ]]; then 
    #echo "${#line}" "$line"   # Output the line itself.
    logdate=${line:0:16}
    logsecs=`date -d "$logdate" +%s`
    #echo -n $logdate " " $logsecs " "
    ydelse=`echo $line | awk '{ print $3 }'`
    #echo -n "ydelse " "$ydelse"
    effekt=`echo $line | awk '{ print $4 }'`
    kedel_temp=`echo $line | awk '{ print $5 }'`
    #echo "temp" $kedel_temp
    skakt_temp=`echo $line | awk '{ print $6 }'`
    roeg_temp=`echo $line | awk '{ print $7 }'`
    ilt=`echo $line | awk '{ print $8 }'`
    lys=`echo $line | awk '{ print $9 }'`
    snegl_sec=`echo $line | awk '{ print $10 }'`
    el_sec=`echo $line | awk '{ print $11 }'`
    alarm=`echo $line | awk '{ print $12 }'`
    ref_kedel_temp=`echo $line | awk '{ print $13 }'`
    ref_ilt=`echo $line | awk '{ print $14 }'`
    kapacitet=`echo $line | awk '{ print $15 }'`
    skorsten=`echo $line | awk '{ print $16 }'`
    maetning_lav=`echo $line | awk '{ print $17 }'`
    maetning_hoej=`echo $line | awk '{ print $18 }'`
    tilstand=`echo $line | awk '{ print $19 }'`
    spare=`echo $line | awk '{ print $20 }'`

    rrdtool update pillefyr.rrd $logsecs:$ydelse:$effekt:$kedel_temp:$skakt_temp:$roeg_temp:$ilt:$lys:$snegl_sec:$el_sec:$alarm:$ref_kedel_temp:$ref_ilt:$kapacitet:$skorsten:$maetning_lav:$maetning_hoej:$tilstand:$spare

  fi            
done


