#!/bin/bash

# get date as a variable so we can avoid a newline
ymdhm=`date +'%Y-%m-%d %H:%M'`

# output date to logfile
echo -en $ymdhm" " >> /home/frederik/stokerlog.txt

# get data from scotte controller
line=`/home/frederik/sendZ000000`

#trim line to get rid of checksum char in the end
len=${#line}
len_trimmed=`expr $len - 1`
line=${line:0:$len_trimmed}

# output reply rom scotte controller to logfile
echo $line >> /home/frederik/stokerlog.txt

logsecs=`date -d "$ymdhm" +%s`
ydelse=`echo $line | awk '{ print $1 }'`
effekt=`echo $line | awk '{ print $2 }'`
kedel_temp=`echo $line | awk '{ print $3 }'`
skakt_temp=`echo $line | awk '{ print $4 }'`
roeg_temp=`echo $line | awk '{ print $5 }'`
ilt=`echo $line | awk '{ print $6 }'`
lys=`echo $line | awk '{ print $7 }'`
snegl_sec=`echo $line | awk '{ print $8 }'`
el_sec=`echo $line | awk '{ print $9 }'`
alarm=`echo $line | awk '{ print $10 }'`
ref_kedel_temp=`echo $line | awk '{ print $11 }'`
ref_ilt=`echo $line | awk '{ print $12 }'`
kapacitet=`echo $line | awk '{ print $13 }'`
skorsten=`echo $line | awk '{ print $14 }'`
maetning_lav=`echo $line | awk '{ print $15 }'`
maetning_hoej=`echo $line | awk '{ print $16 }'`
tilstand=`echo $line | awk '{ print $17 }'`
spare=`echo $line | awk '{ print $18 }'`

rrdtool update pillefyr.rrd $logsecs:$ydelse:$effekt:$kedel_temp:$skakt_temp:$roeg_temp:$ilt:$lys:$snegl_sec:$el_sec:$alarm:$ref_kedel_temp:$ref_ilt:$kapacitet:$skorsten:$maetning_lav:$maetning_hoej:$tilstand:$spare
#echo rrdtool update pillefyr.rrd $logsecs:$ydelse:$effekt:$kedel_temp:$skakt_temp:$roeg_temp:$ilt:$lys:$snegl_sec:$el_sec:$alarm:$ref_kedel_temp:$ref_ilt:$kapacitet:$skorsten:$maetning_lav:$maetning_hoej:$tilstand:$spare >>rrdcmd.txt

/home/frederik/rrd_graph_create.sh
cp /home/frederik/pillefyr1.png /mnt/Qweb/pillefyr/pillefyr1.png
cp /home/frederik/pillefyr2.png /mnt/Qweb/pillefyr/pillefyr2.png
cp /home/frederik/pillefyr3.png /mnt/Qweb/pillefyr/pillefyr3.png
